POST RestApi/personal/mediarecorder/native/upload/finish/v1

Finalizes a native multipart upload and schedules background processing to persist the recording.

Request Information

URI Parameters

None.

Body Parameters

Completed multipart upload details, including uploaded parts and recording metadata.

Itsolutions.Itslearning.Web.RestApi.Personal.MediaRecorderController+NativeUploadFinishRequest
NameDescriptionTypeAdditional information
recordingId

Identifier of the recording created when the upload started.

string

None.

uploadId

Identifier of the multipart upload session being completed.

string

None.

objectKey

Storage object key for the uploaded media.

string

None.

recordingName

User-provided name for the saved recording.

string

None.

recorderType

Recorder implementation used to create the media.

string

None.

isVideoRecording

Indicates whether the uploaded recording contains video.

boolean

None.

usedInFileUploader

Indicates whether the recorder is used inside the file uploader flow.

boolean

None.

parts

Uploaded multipart chunks and their returned entity tags.

Collection of Itsolutions.Itslearning.Web.RestApi.Personal.MediaRecorderController+NativeUploadPart

None.

Request Formats

application/json, text/json

Sample:
{
  "recordingId": "sample string 1",
  "uploadId": "sample string 2",
  "objectKey": "sample string 3",
  "recordingName": "sample string 4",
  "recorderType": "sample string 5",
  "isVideoRecording": true,
  "usedInFileUploader": true,
  "parts": [
    {
      "partNumber": 1,
      "etag": "sample string 2"
    },
    {
      "partNumber": 1,
      "etag": "sample string 2"
    }
  ]
}

application/xml, text/xml

Sample:
<MediaRecorderController.NativeUploadFinishRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Itsolutions.Itslearning.Web.RestApi.Personal">
  <isVideoRecording>true</isVideoRecording>
  <objectKey>sample string 3</objectKey>
  <parts>
    <MediaRecorderController.NativeUploadPart>
      <etag>sample string 2</etag>
      <partNumber>1</partNumber>
    </MediaRecorderController.NativeUploadPart>
    <MediaRecorderController.NativeUploadPart>
      <etag>sample string 2</etag>
      <partNumber>1</partNumber>
    </MediaRecorderController.NativeUploadPart>
  </parts>
  <recorderType>sample string 5</recorderType>
  <recordingId>sample string 1</recordingId>
  <recordingName>sample string 4</recordingName>
  <uploadId>sample string 2</uploadId>
  <usedInFileUploader>true</usedInFileUploader>
</MediaRecorderController.NativeUploadFinishRequest>

application/x-www-form-urlencoded

Sample:
No sample available

Response Information

Resource Description

An HTTP action result containing either validation errors or a describing the outcome.

System.Web.Http.IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.